### Virtual Method

# Gio SocketConnectable enumerate

since: 2.22

#### Declaration

    GSocketAddressEnumerator*
    enumerate (
      GSocketConnectable* connectable
    )

#### Description

Creates a `GSocketAddressEnumerator` for `connectable`.

Available since: 2.22

#### Return value

Type: `GSocketAddressEnumerator`

A new `GSocketAddressEnumerator`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.